Bug 1017680 - openshift-origin-port-proxy package is not necessary to be shipped and installed.
openshift-origin-port-proxy package is not necessary to be shipped and instal...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 06:28 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:11:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-10-10 06:28:30 EDT
Description of problem:
Seen from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.15.5/lib/openshift-origin-node/model/frontend_proxy.rb, openshift is using oo-iptables-port-proxy to add proxy for gears, so openshift-origin-port-proxy is useless, and I also check online devenv, openshift-origin-port-proxy package is not installed.

Once this package is removed from ose-2.0 puddle, openshift.sh, openshift.ks and oo-dignostic script should be updated to remove all the points about it.

Version-Release number of selected component (if applicable):
2.0/2013-10-08.1 puddle

How reproducible:
Always

Steps to Reproduce:
1.Setup env using openshift.sh script
2.
3.

Actual results:
openshift-origin-port-proxy package is installed, and openshift-origin-port-proxy package service is enabled.

Expected results:
openshift-origin-port-proxy package is not shipped and installed.

Additional info:
Comment 3 Johnny Liu 2013-10-25 06:38:30 EDT
Verified this bug with 2.0/2013-10-23.2, and PASS.

openshift-origin-port-proxy is not shipped in puddle, and remove install part for this package in openshift.sh.

Note You need to log in before you can comment on or make changes to this bug.